### Constructor

# Dex Limiter new

unstable since: 1.2

#### Declaration [src]

    DexLimiter*
    dex_limiter_new (
      guint max_concurrency
    )

#### Description [src]

Creates a new `DexLimiter` with `max_concurrency` permits.

`max_concurrency` must be greater than zero. Each successful acquisition consumes one permit until `dex_limiter_release()` is called.

Available since: 1.2

#### Parameters

`max_concurrency`

  Type: `guint`

  The maximum number of concurrent operations.

#### Return value

Type: `DexLimiter`

A new `DexLimiter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.